Index: swfmill-0.3.6/src/swft/swft_import_jpeg.cpp
===================================================================
--- swfmill-0.3.6.orig/src/swft/swft_import_jpeg.cpp
+++ swfmill-0.3.6/src/swft/swft_import_jpeg.cpp
@@ -139,7 +139,7 @@ void swft_import_jpeg( xmlXPathParserCon
 	if( stat( filename, &filestat ) ) goto fail;
 	size = filestat.st_size;
 	
-	ofs = strlen(jpeg_header);
+	ofs = strlen(reinterpret_cast<const char*>(jpeg_header));
 	
 	rewind(fp);
 	data = new unsigned char[size+ofs];
@@ -228,7 +228,7 @@ void swft_import_jpega( xmlXPathParserCo
 	if( stat( filename, &filestat ) ) goto fail;
 	size = filestat.st_size;
 	
-	ofs = strlen(jpeg_header);
+	ofs = strlen(reinterpret_cast<const char*>(jpeg_header));
 	
 	rewind(fp);
 	jpegdata = new unsigned char[size+ofs];
